Tuesday, July 19, 2011

Google ADK - running DemoKit Android application

Set up of Eclipse and Arduino is necessary prior to following this tutorial.

Step ..
Eclipse > File > New Project > Android > Android Project



The source code for the DemoKit app is in:
~/Documents/Arduino/ADK_release_0512/app/AndroidManifest.xml


For Build Target, select Google APIs (Platform 2.3.3, API Level 10).

Step..



Possible problems:


Problem 1: Android 3.0 NOT 3.1

[2011-07-19 22:39:02 - DemoKit] Performing com.google.android.DemoKit.DemoKitLaunch activity launch
[2011-07-19 22:39:06 - DemoKit] Uploading DemoKit.apk onto device '380624742017317'
[2011-07-19 22:39:08 - DemoKit] Installing DemoKit.apk...
[2011-07-19 22:39:09 - DemoKit] Installation error: INSTALL_FAILED_MISSING_SHARED_LIBRARY
[2011-07-19 22:39:09 - DemoKit] Please check logcat output for more details.
[2011-07-19 22:39:09 - DemoKit] Launch canceled!

[2011-07-19 22:40:49 - DemoKit] ERROR: Application requires API version 12. Device API version is 11 (Android 3.0.1).
[2011-07-19 22:40:49 - DemoKit] Launch canceled!




Solution (partial):
Samsung Galaxy Tab 10.1 is NOT 3.1, but 3.0.1 as of this writing therefore the libraries are missing.  Update the device to current 3.1 in the 
Settings > About tablet > System Updates > Update


Problem 2: Missing UsbManager

07-20 06:29:53.880: ERROR/AndroidRuntime(7879): FATAL EXCEPTION: main
07-20 06:29:53.880: ERROR/AndroidRuntime(7879): java.lang.NoClassDefFoundError: com.android.future.usb.UsbManager
07-20 06:29:53.880: ERROR/AndroidRuntime(7879):     at com.google.android.DemoKit.DemoKitActivity.onCreate(DemoKitActivity.java:152)

Solution: TBD

Answer from Samsung on StockOverflow

Accessory mode currently doesn't work with the Samsung Galaxy Tab 10.1. Samsung is aware of the issue and is working on resolving it. When the device does support accessory mode you should be able to use the com.android.future.usb.* APIs which will make it easier for you to write an app that works both with Android 3.1 and 2.3.4.